Get invoicing annual comparison
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/metrics/invoicing-annual-comparison \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/metrics/invoicing-annual-comparison"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/metrics/invoicing-annual-comparison', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/GetInvoicingAnnualComparison",
"@id": "/entities/9bd4a640-9f41-4cd5-a158-20767b386ca0/insights/metrics/invoicing-annual-comparison",
"@type": "hydra:Collection",
"hydra:member": [
{
"period": "2021",
"totalSalesRevenue": "161227.35",
"totalIncome": "161227.35",
"incomePaymentPending": "24206.10",
"totalIncomeCancelled": "0.00",
"incomeDiscounts": "11754.18",
"incomeCreditNotes": "0.00",
"netIncome": "125267.06",
"incomeDueUponReceipt": "0.0051",
"incomeDueOverTime": "0.9949",
"collectedIncomeDueOverTime": "0.8596",
"incomePayroll": "0.00",
"totalExpenses": "120439.39",
"receivedPaymentPending": "26514.75",
"totalExpensesCancelled": "0.00",
"expensesDiscounts": "5670.48",
"expensesCreditNotes": "0.00",
"payroll": "0.00",
"netExpensesPlusPayroll": "88254.16",
"margin": "0.2955",
"expensesDueUponReceipt": "0.3511",
"expensesDueOverTime": "0.6489",
"paidExpensesDueOverTime": "0.0193",
"daysPayableOutstanding": "14.00",
"daysSalesOutstanding": "-1.33",
"netExpenses": "88254.16",
"netIncomePlusPayroll": "125267.06",
"profitOrLoss": "37012.90"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:first": "<string>",
"hydra:next": "<string>",
"hydra:last": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}Revenue
Invoicing Annual Comparison Insight
Year-over-year totals of issued and received invoicing activity, one row per fiscal year.
GET
/
entities
/
{entityId}
/
insights
/
metrics
/
invoicing-annual-comparison
Get invoicing annual comparison
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Success
Example:
"/entities/9bd4a640-9f41-4cd5-a158-20767b386ca0/insights/metrics/invoicing-annual-comparison"
Show child attributes
Show child attributes
Total number of items found
Required range:
x >= 0Example:
1
Pagination information
Show child attributes
Show child attributes
Was this page helpful?
⌘I